# Enterprise Info Commands

#### Command <a href="#usage-2" id="usage-2"></a>

```bash
enterprise-info command [--options] OR ei command [--options]
```

**Alias:** `ei`

#### Commands:

| Command                           | Description                                 | Alias     |
| --------------------------------- | ------------------------------------------- | --------- |
| [`tree`](#enterprise-info-tree)   | Display a tree structure of your enterprise | (default) |
| [`node`](#enterprise-info-tree-1) | Display node information                    | `n`       |
| [`user`](#enterprise-info-tree-2) | Display user information                    | `u`       |
| [`team`](#enterprise-info-tree-3) | Display team information                    | `t`       |
| [`role`](#enterprise-info-tree-4) | Display role information                    | `r`       |

### Enterprise Info Tree Command <a href="#enterprise-info-tree" id="enterprise-info-tree"></a>

Display a tree structure of your enterprise.

<details>

<summary>DotNet CLI</summary>

**Command:** `enterprise-info`

**Parameter:**

* `--node` - Filter results with node (name or ID)
* `-v`, `--verbose` - Print verbose information

**Example:**

```
My Vault> enterprise-info 
Test Root
├── 19 user(s)
├── 8 team(s)
├── 19 role(s)
├── [Test1 Node]
│   ├── 1 user(s)
│   ├── 1 team(s)
│   └── 1 role(s)
├── [Test2]
│   ├── 3 user(s)
│   ├── 3 team(s)
│   ├── 4 role(s)
│   └── [PCTNode]
│       ├── 2 user(s)
│       ├── 1 team(s)
│       └── 1 role(s)
└── [Testing Node]
    └── [Test]
        ├── 2 user(s)
        └── 1 team(s)
```

</details>

<details>

<summary>DotNet SDK</summary>

Not Implemented

</details>

<details>

<summary>PowerCommander</summary>

**Command:** `Get-KeeperEnterpriseInfoTree`

**Syntax:**

```powershell
Get-KeeperEnterpriseInfoTree
```

**Aliases:** `keitree`

**Parameter:**

* `-Node` - Filter results with node (name or ID)
* `-Detailed` - Print Detail information.
* `-Output` - Output filename.

**Example:**

```powershell
PS> Get-KeeperEnterpriseInfoTree
Test Root
 +-- Test1 Node
  |   +-- 1 user(s)
  |   +-- 1 role(s)
  |   +-- 1 team(s)
 +-- Test2
  |   +-- PCTNode
  |    |   +-- 2 user(s)
  |    |   +-- 1 role(s)
  |    |   +-- 1 team(s)
  |   +-- 3 user(s)
  |   +-- 4 role(s)
  |   +-- 3 team(s)
 +-- Testing Node
  |   +-- Test
  |    |   +-- 2 user(s)
  |       +-- 1 team(s)
 +-- 19 user(s)
 +-- 19 role(s)
 +-- 8 team(s)
```

</details>

<details>

<summary>Python CLI</summary>

**Command:** `enterprise-info tree`

**Flag:**

* `--node` - Limit results to node (name or ID)
* `-v`, `--verbose` - Print verbose information

</details>

<details>

<summary>Python SDK</summary>

Not Supported

</details>

### Enterprise Info Node Command <a href="#enterprise-info-tree" id="enterprise-info-tree"></a>

Display node information.

<details>

<summary>DotNet CLI</summary>

**Command:** `enterprise-info --nodes`

**Parameter:**

* `-c`, `--columns` - Comma-separated list of available columns: `parent_node`, `parent_node_id`, `user_count`, `users`, `team_count`, `teams`, `role_count`, `roles`
* `--format` - Output format: `json`, `table`, `csv`
* `--output` - Output filename
* `--pattern` - Search pattern (optional)
* `--limit` **-** to limit number of rows.

**Example:**

```
My Vault> enterprise-info --nodes --columns "user_count,team_count,role_count" 
  #  Node ID         Name                User Count  Team Count  Role Count
---  --------------  ------------------  ----------  ----------  ----------
  1  70411692250750  Test1 Node          1           1           1
  2  70411692250884  Test1               3           3           4
```

</details>

<details>

<summary>DotNet SDK</summary>

Not Implemented

</details>

<details>

<summary>PowerCommander</summary>

**Command:** `Get-KeeperEnterpriseInfoNode`

**Syntax:**

```powershell
 Get-KeeperEnterpriseInfoNode
```

**Aliases:** `kein`

**Parameter:**

* `-Columns` - Comma-separated list of available columns: `parent_node`, `user_count`, `users`, `team_count`, `teams`, `role_count`, `roles`, `provisioning`
* `-Node` - Filter with node.
* `-Format` - Output format: `json`, `table`, `csv` .
* `-Output` - Output filename.
* `-Pattern` - Search pattern (optional).
* `-Limit` **-** to limit number of rows.
* `-Offset` - To skip the records useful for pagination.

**Example:**

```powershell
PS> Get-KeeperEnterpriseInfoNode
NodeId     : 70411692250750
Name       : Test Node
ParentNode : Test Root
UserCount  : 1
TeamCount  : 1
RoleCount  : 1

NodeId     : 70411692250884
Name       : Test1
ParentNode : Test Root
UserCount  : 3
TeamCount  : 3
RoleCount  : 4
```

</details>

<details>

<summary>Python CLI</summary>

**Command:** `enterprise-info node`

**Flag:**

* `-c`, `--columns` - Comma-separated list of available columns: `parent_node`, `user_count`, `users`, `team_count`, `teams`, `role_count`, `roles`, `provisioning`
* `--format` - Output format: `json`, `table`, `csv`
* `--output` - Output filename
* `pattern` - Search pattern (optional)

</details>

<details>

<summary>Python SDK</summary>

Not Supported

</details>

### Enterprise Info User Command <a href="#enterprise-info-tree" id="enterprise-info-tree"></a>

Display user information.

<details>

<summary>DotNet CLI</summary>

**Command:** `enterprise-info --users`

**Flag:**

* `-c`, `--columns` - Comma-separated list of available columns: `name`, `status`, `transfer_status`, `node`, `role_count`, `roles`, `team_count`, `teams`, `queued_team_count`, `queued_teams`, `alias`, `2fa_enabled`
* `--format` - Output format: `json`, `table`, `csv`
* `--output` - Output filename
* `--pattern` - Search pattern (optional)
* `--limit` **-** to limit number of rows.

**Example:**

```
My Vault> enterprise-info --users --columns "status,node,role_count"
  #  User ID         Email                              Status    Node                                 Role Count
---  --------------  ---------------------------------  --------  -----------------------------------  ----------
  1  70411693853058  abcwfef@email.com                  Inactive  Test Root\Test1\PCTNode              1
  2  70411693850632  test@gmail.com                     Active    Test Root                            3

```

</details>

<details>

<summary>DotNet SDK</summary>

Not Implemented

</details>

<details>

<summary>PowerCommander</summary>

**Command:** `Get-KeeperEnterpriseInfoUser`

**Syntax:**

```powershell
 Get-KeeperEnterpriseInfoUser
```

**Aliases:** `keiu`

**Parameter:**

* `-Columns` - Comma-separated list of available columns: `name`, `status`, `transfer_status`, `node`, `role_count`, `roles`, `team_count`, `teams`, `queued_team_count`, `queued_teams`, `alias`, `2fa_enabled`
* `-Node` - Filter with node.
* `-Format` - Output format: `json`, `table`, `csv` .
* `-Output` - Output filename.
* `-Pattern` - Search pattern (optional).
* `-Limit` **-** to limit number of rows.
* `-Offset` - To skip the records useful for pagination.

**Example:**

```powershell
PS> Get-KeeperEnterpriseInfoUser

        UserId Email                             Name                  Status  TransferStatus    Node
        ------ -----                             ----                  ------  --------------    ----
70411693853058 abcwfef@email.com                 SEA                   Invited Pending transfer  Test\PCTNode
70411693850634 test@gmail.com                bisal ranjan              Active  Transfer accepted Test Root
```

</details>

<details>

<summary>Python CLI</summary>

**Command:** `enterprise-info user`

**Flag:**

* `-c`, `--columns` - Comma-separated list of available columns: `name`, `status`, `transfer_status`, `node`, `role_count`, `roles`, `team_count`, `teams`, `queued_team_count`, `queued_teams`, `alias`, `2fa_enabled`
* `--format` - Output format: `json`, `table`, `csv`
* `--output` - Output filename
* `pattern` - Search pattern (optional)

</details>

<details>

<summary>Python SDK</summary>

Not Supported

</details>

### Enterprise Info Team Command <a href="#enterprise-info-tree" id="enterprise-info-tree"></a>

Display team information.

<details>

<summary>DotNet CLI</summary>

**Command:** `enterprise-info --teams`

**Flag:**

* `-c`, `--columns` - Comma-separated list of available columns: `restricts`, `node`, `user_count`, `users`, `queued_user_count`, `queued_users`, `role_count`, `roles`
* `--format` - Output format: `json`, `table`, `csv`
* `--output` - Output filename
* `--pattern` - Search pattern (optional)
* `--limit` **-** to limit number of rows.

**Example:**

```
My Vault> enterprise-info --teams                                   
  #  Team UID                Name                     Restricts  Node                                 User Count  Queued User Count
---  ----------------------  -----------------------  ---------  -----------------------------------  ----------  -----------------
  1  zlnqXGw9TLHTJocOQqJ7ug  Admin                               Test root                            3           1                
  2  hwf4d-yZRHqHJsSvRVjG_A  Dev team                            Test root\Dev                        0           0
  3  VrLTxLUuBWvk1cVfH2_wDA  Google                   S          Test root                            0           0 
```

</details>

<details>

<summary>DotNet SDK</summary>

Not Implemented

</details>

<details>

<summary>PowerCommander</summary>

**Command:** `Get-KeeperEnterpriseInfoTeam`

**Syntax:**

```powershell
 Get-KeeperEnterpriseInfoTeam
```

**Aliases:** `keit`

**Parameter:**

* `-Columns` - Comma-separated list of available columns: `restricts`, `node`, `user_count`, `users`, `queued_user_count`, `queued_users`, `role_count`, `roles`
* `-Node` - Filter with node.
* `-ExactNode` - Filter by Exact node only.
* `-Format` - Output format: `json`, `table`, `csv` .
* `-Output` - Output filename.
* `-Pattern` - Search pattern (optional).
* `-Limit` **-** to limit number of rows.
* `-Offset` - To skip the records useful for pagination.

**Example:**

```powershell
PS> Get-KeeperEnterpriseInfoTeam

TeamUid                Name                    Restricts    Node                UserCount
-------                ----                    ---------    ----                ---------
zlnqXGw9TLHTJocOQqJ7ug Admin                                Test Root                 3
hwf4d-yZRHqHJsSvRVjG_A Dev team                             Dev                       0
VrLTxLUuBWvk1cVfH2_wDA Google                  Share        Test Root                 0
```

</details>

<details>

<summary>Python CLI</summary>

**Command:** `enterprise-info team`

**Flag:**

* `-c`, `--columns` - Comma-separated list of available columns: `restricts`, `node`, `user_count`, `users`, `queued_user_count`, `queued_users`, `role_count`, `roles`
* `--format` - Output format: `json`, `table`, `csv`
* `--output` - Output filename
* `pattern` - Search pattern (optional)

</details>

<details>

<summary>Python SDK</summary>

Not Supported

</details>

### Enterprise Info Role Command <a href="#enterprise-info-tree" id="enterprise-info-tree"></a>

Display role information.

<details>

<summary>DotNet CLI</summary>

**Command:** `enterprise-info --roles`

**Flag:**

* `-c`, `--columns` - Comma-separated list of available columns: `visible_below`, `default_role`, `admin`, `node`, `user_count`, `users`, `team_count`, `teams`
* `--format` - Output format: `json`, `table`, `csv`
* `--output` - Output filename
* `--pattern` - Search pattern (optional)
* `--limit` **-** to limit number of rows.

**Example:**

```
My Vault> enterprise-info --roles
  #  Role ID         Name                   Default Role  Admin  Node                                              User Count
---  --------------  ---------------------  ------------  -----  ------------------------------------------------  ----------    
  1  70411693850822  Admin                  -             -      Test Root\SSO TEST                                2
  2  70411693850629  All Users              X             -      Test Root                                         32
  3  70411693853157  ARoleTest12            X             -      Test Root\Test1                                   1
```

</details>

<details>

<summary>DotNet SDK</summary>

Not Implemented

</details>

<details>

<summary>PowerCommander</summary>

**Command:** `Get-KeeperEnterpriseInfoRole`

**Syntax:**

```powershell
 Get-KeeperEnterpriseInfoRole
```

**Aliases:** `keir`

**Parameter:**

* `-Columns` - Comma-separated list of available columns: `visible_below`, `default_role`, `admin`, `node`, `user_count`, `users`, `team_count`, `teams` .
* `-Node` - Filter with node.
* `-ExactNode` - Filter by Exact node only.
* `-Format` - Output format: `json`, `table`, `csv` .
* `-Output` - Output filename.
* `-Pattern` - Search pattern (optional).
* `-Limit` **-** to limit number of rows.
* `-Offset` - To skip the records useful for pagination.

**Example:**

```powershell
PS>  Get-KeeperEnterpriseInfoRole

        RoleId Name                  VisibleBelow DefaultRole Admin Node                             UserCount
        ------ ----                  ------------ ----------- ----- ----                             ---------
70411693850815 Admin                        False       False False SSO TESTING                         2
70411693850822 Admin                        False       False False SSO TEST                            2
70411693850629 All Users                     True        True False Test Root                           32
```

</details>

<details>

<summary>Python CLI</summary>

**Command:** `enterprise-info role`

**Flag:**

* `-c`, `--columns` - Comma-separated list of available columns: `visible_below`, `default_role`, `admin`, `node`, `user_count`, `users`, `team_count`, `teams`
* `--format` - Output format: `json`, `table`, `csv`
* `--output` - Output filename
* `pattern` - Search pattern (optional)

</details>

<details>

<summary>Python SDK</summary>

Not Supported

</details>

### Enterprise Info Managed Company Command <a href="#enterprise-info-tree" id="enterprise-info-tree"></a>

Display managed company information.

<details>

<summary>DotNet CLI</summary>

Coming soon

</details>

<details>

<summary>DotNet SDK</summary>

Not Implemented

</details>

<details>

<summary>PowerCommander</summary>

**Command:** `Get-KeeperEnterpriseInfoManagedCompany`

**Syntax:**

```powershell
Get-KeeperEnterpriseInfoManagedCompany
```

**Aliases:** `keimc`

**Parameter:**

* `-ExactNode` - Filter by Exact node only.
* `-Format` - Output format: `json`, `table`, `csv` .
* `-Output` - Output filename.
* `-Offset` - To skip the records useful for pagination.
* `-Pattern` - Search pattern (optional).
* `-Limit` **-** to limit number of rows.

**Example:**

```powershell
PS>  Get-KeeperEnterpriseInfoManagedCompany

CompanyId CompanyName                                        Node                          Plan           Storage
--------- -----------                                        ----                          ----           -------       
   311310 21Jan                                              M1labs                       Business       STORAGE_1TB   
   310855 ADD NO ADDON                                       M1 Provisioning              Enterprise     STORAGE_100GB 
   310858 ADD ON PREM                                        M1 Provisioning              Business       STORAGE_100GB 
```

</details>

<details>

<summary>Python CLI</summary>

Not Implemented

</details>

<details>

<summary>Python SDK</summary>

Not Supported

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keeper.io/keeperpam/commander-sdk/keeper-commander-sdks/sdk-command-reference/enterprise-management-commands/enterprise-info-commands.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
